org.apache.ode.bpel.elang.xpath20.runtime

## Class JaxpFunctionResolver

- java.lang.Object
- - org.apache.ode.bpel.elang.xpath20.runtime.JaxpFunctionResolver

- All Implemented Interfaces:
    javax.xml.xpath.XPathFunctionResolver

      public class JaxpFunctionResolver
      extends java.lang.Object
      implements javax.xml.xpath.XPathFunctionResolver

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `JaxpFunctionResolver.CombineUrl` Takes the relative URL and combines it with the base URL to return a new absolute URL.
    `static class` | `JaxpFunctionResolver.ComposeUrl`
    `class` | `JaxpFunctionResolver.DayTimeDuration`
    `class` | `JaxpFunctionResolver.Delete`
    `class` | `JaxpFunctionResolver.DomToString`
    `class` | `JaxpFunctionResolver.DoXslTransform`
    `class` | `JaxpFunctionResolver.GetLinkStatus`
    `class` | `JaxpFunctionResolver.GetVariableData`
    `class` | `JaxpFunctionResolver.GetVariableProperty`
    `static class` | `JaxpFunctionResolver.Helper`
    `class` | `JaxpFunctionResolver.InsertAfter`
    `class` | `JaxpFunctionResolver.InsertAsFirstInto`
    `class` | `JaxpFunctionResolver.InsertAsLastInto`
    `class` | `JaxpFunctionResolver.InsertBefore`
    `class` | `JaxpFunctionResolver.InsertInto`
    `class` | `JaxpFunctionResolver.ProcessProperty`
    `class` | `JaxpFunctionResolver.Rename`
    `class` | `JaxpFunctionResolver.SplitToElements` Compile time checking for the non standard ode:splitToElements function.
    `class` | `JaxpFunctionResolver.YearMonthDuration`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JaxpFunctionResolver(EvaluationContext ectx, OXPath20ExpressionBPEL20 oxpath)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.xml.xpath.XPathFunction` | `resolveFunction(javax.xml.namespace.QName functionName, int arity)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JaxpFunctionResolver

          public JaxpFunctionResolver(EvaluationContext ectx,
                              OXPath20ExpressionBPEL20 oxpath)

  - ### Method Detail

    - #### resolveFunction

          public javax.xml.xpath.XPathFunction resolveFunction(javax.xml.namespace.QName functionName,
                                                      int arity)

      Specified by:
        `resolveFunction` in interface `javax.xml.xpath.XPathFunctionResolver`